| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::io::SAttributeReadWriteOptions Struct Reference

struct holding data describing options More...

`#include <IAttributeExchangingObject.h>`

List of all members.

## Public Member Functions

- SAttributeReadWriteOptions ()
    Constructor.

## Public Attributes

- const fschar_t * Filename
    Optional filename.
- s32 Flags
    Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

## Detailed Description

struct holding data describing options

Definition at line 34 of file IAttributeExchangingObject.h.

## Constructor & Destructor Documentation

irr::io::SAttributeReadWriteOptions::SAttributeReadWriteOptions | ( |  | ) | `[inline]`

Constructor.

Definition at line 37 of file IAttributeExchangingObject.h.

## Member Data Documentation

const fschar_t* irr::io::SAttributeReadWriteOptions::Filename

Optional filename.

Definition at line 46 of file IAttributeExchangingObject.h.

s32 irr::io::SAttributeReadWriteOptions::Flags

Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

Definition at line 43 of file IAttributeExchangingObject.h.

The documentation for this struct was generated from the following file:

- IAttributeExchangingObject.h